LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Slackware (http://www.linuxquestions.org/questions/slackware-14/)
-   -   KDE 4.3.3 in -Current (http://www.linuxquestions.org/questions/slackware-14/kde-4-3-3-in-current-767240/)

slackd 11-06-2009 02:22 AM

KDE 4.3.3 in -Current
 
KDE updated to maintenance release 4.3.3 in slackware current!

Quote:

Fri Nov 6 00:22:35 UTC 2009
a/less-418-x86_64-4.txz: Rebuilt.
Patched lesspipe.sh to handle files of the form *.{1,2,3,4,5,6,7,8,9,n}.gz
that are not gzipped *roff. Thanks to Mark Post.
kde/kdeaccessibility-4.3.3-x86_64-1.txz: Upgraded.
kde/kdeadmin-4.3.3-x86_64-1.txz: Upgraded.
kde/kdeartwork-4.3.3-x86_64-1.txz: Upgraded.
kde/kdebase-4.3.3-x86_64-1.txz: Upgraded.
kde/kdebase-runtime-4.3.3-x86_64-1.txz: Upgraded.
kde/kdebase-workspace-4.3.3-x86_64-1.txz: Upgraded.
kde/kdebindings-4.3.3-x86_64-1.txz: Upgraded.
kde/kdeedu-4.3.3-x86_64-1.txz: Upgraded.
kde/kdegames-4.3.3-x86_64-1.txz: Upgraded.
kde/kdegraphics-4.3.3-x86_64-1.txz: Upgraded.
kde/kdelibs-4.3.3-x86_64-1.txz: Upgraded.
kde/kdelibs-experimental-4.3.3-x86_64-1.txz: Upgraded.
kde/kdemultimedia-4.3.3-x86_64-1.txz: Upgraded.
kde/kdenetwork-4.3.3-x86_64-1.txz: Upgraded.
kde/kdepim-4.3.3-x86_64-1.txz: Upgraded.
kde/kdepim-runtime-4.3.3-x86_64-1.txz: Upgraded.
kde/kdepimlibs-4.3.3-x86_64-1.txz: Upgraded.
kde/kdeplasma-addons-4.3.3-x86_64-1.txz: Upgraded.
kde/kdesdk-4.3.3-x86_64-1.txz: Upgraded.
kde/kdetoys-4.3.3-x86_64-1.txz: Upgraded.
kde/kdeutils-4.3.3-x86_64-1.txz: Upgraded.
kde/kdevelop-3.9.96-x86_64-1.txz: Upgraded.
kde/kdevplatform-0.9.96-x86_64-1.txz: Upgraded.
kde/kdewebdev-4.3.3-x86_64-1.txz: Upgraded.
kde/koffice-2.0.91-x86_64-1.txz: Upgraded.
kde/oxygen-icons-4.3.3-x86_64-1.txz: Upgraded.
kdei/*: Upgraded.
l/gst-plugins-base-0.10.25-x86_64-1.txz: Upgraded.
l/gst-plugins-good-0.10.16-x86_64-1.txz: Added.
l/gstreamer-0.10.25-x86_64-1.txz: Upgraded.
l/jre-6u17-x86_64-1.txz: Upgraded.
Upgraded to Java(TM) 2 Platform Standard Edition Runtime Environment
Version 6.0 update 17.
l/phonon-4.3.1-x86_64-1.txz: Removed.
l/qca-2.0.2-x86_64-1.txz: Upgraded.
l/qt-4.5.3_063bded-x86_64-2.txz: Rebuilt.
Recompiled to add the included version of the Phonon multimedia framework.
l/strigi-0.7.0-x86_64-1.txz: Upgraded.
x/dejavu-fonts-ttf-2.30-noarch-1.txz: Upgraded.
extra/jdk-6/jdk-6u17-x86_64-1.txz: Upgraded.
Upgraded to Java(TM) 2 Platform Standard Edition Development Kit
Version 6.0 update 17.
+--------------------------+

slackd 11-06-2009 02:23 AM

and i just updated to KDE 4.3.3, its working fine as usual. I also updated the rest of the -current packages.

Thanks Pat!

~sHyLoCk~ 11-06-2009 02:46 AM

Well it's a maintenance release and has no appearance change from 4.3.2. For a list of fixes that took place in this version see this. It's smoother and feels a bit faster but hard to tell. Been using it since 3rd Nov.

rvdboom 11-06-2009 02:50 AM

What is the reason from moving to a separate phonon to the one within Qt?

JokerBoy 11-06-2009 04:40 AM

the one within qt it`s not so good :|

The audio playback device <name-of-the-sound-device> does not work.
Falling back to default

http://punctweb.ro/pub/slackware64-c...1-x86_64-1.txz [src]

sahko 11-06-2009 05:26 AM

Quote:

Originally Posted by JokerBoy (Post 3746786)
the one within qt it`s not so good :|

The audio playback device <name-of-the-sound-device> does not work.
Falling back to default

Thats because only the gstreamer backend is built in QT.
I don't know the rationale behind this though.

Code:

usr/lib64/qt/plugins/phonon_backend/
usr/lib64/qt/plugins/phonon_backend/libphonon_gstreamer.so

I think there should be a libphonon_xine.so there too but not sure.

BTW, those of you who already upgraded, do you get anything in the backend selection dialog in System Settings/Multimedia ?
edit3: Actually to use the xine backend i think the seperate phonon package is still needed. Otherwise you just get gstreamer.

BrZ 11-06-2009 05:46 AM

That was fast. Thanks.

JokerBoy 11-06-2009 06:11 AM

Quote:

Originally Posted by sahko (Post 3746825)
BTW, those of you who already upgraded, do you get anything in the backend selection dialog in System Settings/Multimedia ?

http://img682.imageshack.us/img682/4708/snapshot1u.png

slackd 11-06-2009 06:15 AM

Quote:

Originally Posted by JokerBoy (Post 3746858)

i get the same thing.

~sHyLoCk~ 11-06-2009 06:19 AM

And you guys have phonon-backend installed?

Quote:

l/phonon-4.3.1-x86_64-1.txz: Removed.

slackd 11-06-2009 06:22 AM

Quote:

Originally Posted by ~sHyLoCk~ (Post 3746865)
And you guys have phonon-backend installed?

i removed the package before upgrading to the new KDE, as i read the changelog.

slackd 11-06-2009 06:31 AM

1 Attachment(s)
however, this is after installing the phonon package.
the error of fallback to default device does not arise anymore.

Code:

[sam@slackd] >$ locate phonon|grep xine
/usr/lib64/kde4/kcm_phononxine.so
/usr/lib64/kde4/plugins/phonon_backend/phonon_xine.so
/usr/share/kde4/services/phononbackends/xine.desktop
/usr/share/kde4/services/kcm_phononxine.desktop
/usr/share/icons/oxygen/64x64/apps/phonon-xine.png
/usr/share/icons/oxygen/22x22/apps/phonon-xine.png
/usr/share/icons/oxygen/128x128/apps/phonon-xine.png
/usr/share/icons/oxygen/scalable/apps/phonon-xine.svgz
/usr/share/icons/oxygen/32x32/apps/phonon-xine.png
/usr/share/icons/oxygen/48x48/apps/phonon-xine.png
/usr/share/icons/oxygen/16x16/apps/phonon-xine.png


JokerBoy 11-06-2009 06:31 AM

i did a fresh installation, so no, it`s not installed.

tuksedara 11-06-2009 07:03 AM

how to get slackware packages? site seem down

JokerBoy 11-06-2009 07:06 AM

what site? slackware dot com ? it`s working!

a good mirror is: ftp://ftp.slackware.at/slackware64-current


All times are GMT -5. The time now is 08:15 PM.